doctest-parallel-0.4: Test interactive Haskell examples

Safe Haskell | None
Language | Haskell2010

Test.DocTest.Internal.GhciWrapper

Synopsis

- data Interpreter
- data Config = Config {
  - configGhci :: String
  - configVerbose :: Bool
  - configIgnoreDotGhci :: Bool
  }
- defaultConfig :: Config
- new :: DebugLogger -> Config -> [String] -> IO Interpreter
- close :: Interpreter -> IO ()
- eval :: Interpreter -> String -> IO String
- evalIt :: Interpreter -> String -> IO String
- evalEcho :: Interpreter -> String -> IO String

# Documentation

data Interpreter Source #

data Config Source #

Constructors

Config |

Fields

- configGhci :: String
- configVerbose :: Bool
- configIgnoreDotGhci :: Bool

#### Instances

Instances details

Show Config Source # |
Instance details Defined in Test.DocTest.Internal.GhciWrapper Methods showsPrec :: Int -> Config -> ShowS Source # show :: Config -> String Source # showList :: [Config] -> ShowS Source #
Eq Config Source # |
Instance details Defined in Test.DocTest.Internal.GhciWrapper Methods (==) :: Config -> Config -> Bool Source # (/=) :: Config -> Config -> Bool Source #

defaultConfig :: Config Source #

new :: DebugLogger -> Config -> [String] -> IO Interpreter Source #

close :: Interpreter -> IO () Source #

eval :: Interpreter -> String -> IO String Source #

Evaluate an expression

evalIt :: Interpreter -> String -> IO String Source #

Like `eval`, but try to preserve the `it` variable

evalEcho :: Interpreter -> String -> IO String Source #

Evaluate an expression